Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic.pickedmovetypebestscore
Class PickedMoveTypeBestScoreDiffSingleStatistic

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.SingleStatistic<P>
          org.optaplanner.benchmark.impl.statistic.PureSingleStatistic<PickedMoveTypeBestScoreDiffStatisticPoint>
              org.optaplanner.benchmark.impl.statistic.pickedmovetypebestscore.PickedMoveTypeBestScoreDiffSingleStatistic

    public class PickedMoveTypeBestScoreDiffSingleStatistic

extends PureSingleStatistic<PickedMoveTypeBestScoreDiffStatisticPoint>

Field Summary
`protected List<File>` | `graphFileList`

Fields inherited from class org.optaplanner.benchmark.impl.statistic.PureSingleStatistic
`singleStatisticType`

Fields inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`pointList, singleBenchmarkResult`

Constructor Summary
`PickedMoveTypeBestScoreDiffSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)`

Method Summary
`void` | `close(Solver solver)`
`protected PickedMoveTypeBestScoreDiffStatisticPoint` | `createPointFromCsvLine(ScoreDefinition scoreDefinition, List<String> csvLine)`
`protected String` | `getCsvHeader()`
`List<File>` | `getGraphFileList()`
`void` | `open(Solver solver)`
`void` | `writeGraphFiles(BenchmarkReport benchmarkReport)`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.PureSingleStatistic
`getStatisticType, writeChartToImageFile`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`getAnchorId, getCsvFile, getCsvFilePath, getPointList, getSingleBenchmarkResult, initPointList, readCsvStatisticFile, setPointList, setSingleBenchmarkResult, writeCsvStatisticFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graphFileList

    protected List<File> graphFileList

Constructor Detail

### PickedMoveTypeBestScoreDiffSingleStatistic

    public PickedMoveTypeBestScoreDiffSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)

Method Detail

### getGraphFileList

    public List<File> getGraphFileList()

  Returns:
    never null

### open

    public void open(Solver solver)

  Specified by:
    `open` in class `SingleStatistic<PickedMoveTypeBestScoreDiffStatisticPoint>`

### close

    public void close(Solver solver)

  Specified by:
    `close` in class `SingleStatistic<PickedMoveTypeBestScoreDiffStatisticPoint>`

### getCsvHeader

    protected String getCsvHeader()

  Specified by:
    `getCsvHeader` in class `SingleStatistic<PickedMoveTypeBestScoreDiffStatisticPoint>`

### createPointFromCsvLine

    protected PickedMoveTypeBestScoreDiffStatisticPoint createPointFromCsvLine(ScoreDefinition scoreDefinition,
                                                                               List<String> csvLine)

  Specified by:
    `createPointFromCsvLine` in class `SingleStatistic<PickedMoveTypeBestScoreDiffStatisticPoint>`

### writeGraphFiles

    public void writeGraphFiles(BenchmarkReport benchmarkReport)

  Specified by:
    `writeGraphFiles` in class `PureSingleStatistic<PickedMoveTypeBestScoreDiffStatisticPoint>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.